= How do I add a new user for logging into the system? =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

== Creating User ==

To add a new user that can login to the system via both SSH and the UI, login via SSH as an existing user that has `sudo` privileges 
(i.e., is in the `admin` group). Add the user with

  `sudo /usr/local/sbin/addUser.sh` ''username''

where ''username'' is the login name for the new user. If you want the user to have admin priviledges, such as `sudo` rights on the
box, and admin rights in other tools, add the user with

  `sudo /usr/local/sbin/addAdminUser.sh` ''username''

== Manually Setting Up SSH Access == 

If this is a hosted SecureCI™ instance on AWS, Amazon requires a keypair setup in order to be able to login.
To setup this keypair the user will need to create a public/private keypair. The two below links discuss how to create these keys
and also about security using keys. One documents how to create/use them on a linux machine, and the other on a windows machine.

 * https://help.ubuntu.com/community/SSH/OpenSSH/Keys
 * https://www.digitalocean.com/community/tutorials/how-to-create-ssh-keys-with-putty-to-connect-to-a-vps 

Once this keypair is created, get the public key, and follow the below steps to add the public key for the user.

{{{
sudo su [USERNAME]
cd
mkdir .ssh
chmod 700 .ssh
cd .ssh
vim authorized_keys
	[PUBLIC KEY]
chmod 600 authorized_keys
}}}

Ensure the public key starts with `ssh-rsa` and remove all linebreaks from the key. Even if the machine is not running on AWS, 
once this key is setup, the new user will be able to ssh into the machine without needing a password.

== Removing a User ==

To remove an existing user from the system, run the below command:

  `sudo /usr/local/sbin/deleteUser.sh` ''username''

where ''username'' is the login name for the user. This will remove the users SSH and UI (browser) access from the entire system.

<%= node['trac']['wiki']['footer'] %>